Autolips hitung jumlah (AutoCAD)

Oke kali ini gw mau posting cara penjumlahan dengan autolips. Dapet coding hasil googlingan dengan sedikit perbaikan hasilnya berhasil juga di jalankan.  cara penggunaan ini terbilang simple menurut gw
1.ketik  <sum> enter..
2.pilih text yang berisi angka
3.enter

sum1(vl-load-com)
(defun c:sum (/ sd ld i ename vevo data)
(princ “\nPilih Data Yang Akan Dijumlah:”)
(setq sd (ssget’ (( 0 . “text,MTEXT”))))
(setq ld ())
(setq i 0)
(repeat (sslength sd)
(setq ename (ssname sd i))
(setq vevo (vlax-ename->vla-object ename))
(setq data (atof (vlax-get-property vevo ‘TextString)))
(setq ld (cons data ld))
(setq i (1+ i))
) ;repeat
(alert (strcat “Jumlahnya adalah:” (rtos (apply ‘+ ld))))
(princ)
)
(princ)

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s